subtle - Bug #186

DESTDIR support for the build/install
03/11/2011 08:42 PM - Vincent Batts

Status: Fixed Start date: 03/11/2011
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Suggestion Estimated time: 0.00 hour
Target version:

Description

for ease of packaging, a DESTDIR is nice.

the attached patch allows the current functionality, as well as the typical gnu make style make ; make install DESTDIR=/tmp/foo
S0 no one could,

$> DESTDIR=/tmp/foo rake install

History

#1 - 03/12/2011 11:31 AM - Christoph Kappel
- Status changed from Unconfirmed to Fixed

- % Done changed from 0 to 100
Applied in changeset 3363c94d3620.
#2 - 03/12/2011 11:33 AM - Christoph Kappel
Hum, instead of patching the rakefile you could rather use the way that was intended for packaging: rake install destdir=/tmp/foo rake install
Anyway, | will just add it since it is probably easier for people familiar with just make, thanks.
Btw: For which dist are you packaging subtle? Is it already on the install wiki page?
#3 - 03/12/2011 03:43 PM - Vincent Batts
Christoph Kappel wrote:
Btw: For which dist are you packaging subtle? Is it already on the install wiki page?

For Slackware Linux, currently in my personal package repo (https:/github.com/vbatts/SlackBuilds), but once the new Slackware release 13.37 is out,
then it will get published to http:/slackbuilds.org/

#4 - 03/12/2011 04:18 PM - Christoph Kappel

Ah, if you don't mind, can you add install instructions for slackware here: install | don't have a clue how to use slackware at all. ;)

Files

subtle_destdir_support.patch 469 Bytes 03/11/2011 Vincent Batts
